Subject: RE: Question re. DHCP auth. draft

From: "Kostur, Andre" <[email-masked]>
Date: Mon, 31 Jul 2000 08:48:41 -0700

Ummm... as I recall, it is infeasable to post the public key on an info
sheet since the size of the key is rather large.  I suppose one could post
the fingerprint of the key and use that to confirm the key on the terminal,
but who's to say that the terminal room info sheet hasn't been replaced?

> -----Original Message-----
> From: Richard Johnson [mailto:[email-masked]]
> Sent: Monday, July 31, 2000 10:46 AM
> To: DHCPv4 discussion list
> Cc: [email-masked]
> Subject: Question re. DHCP auth. draft
> 
> 
> I don't see any discussion of using public key authentication.  It'd
> be really nice to come to an IETF and be told (via the terminal room
> info sheet) what the public key is for the DHCP server, then 
> configure 
> this on your DHCP client, and know that you're getting an 
> address from 
> a legitimate server.
> 
> There was a scenario a few IETFs ago where someone in the terminal
> room was running a DHCP server on their laptop (and probably didn't
> know it, but they could have simply been malicious).  A shared secret
> doesn't help avoid this situation because anyone else attending would
> know the secret key and could easily setup a server using it.  A
> public key method would avoid this since only the true server would
> know the private key and everyone else could be given the public key.
> 
> In particular, I know there are some companies which would 
> like to use 
> wireless technology but are waiting for some useful type of DHCP
> authentication first.  I believe a shared key will simply not 
> work for 
> these companies, but a public key would.
> 
> /raj
>

---

From: Richard Johnson <[email-masked]>
Date: Mon, 31 Jul 2000 13:28:27 -0700 (PDT)

> but who's to say that the terminal room info sheet hasn't been replaced?

Yes, probably the best bet would be use a publicly known and
registered key.  Same way the ietf-registrar public key is used for
paying via credit card info in an encrypted email.

I also recognize that this method only authenticates the server to the 
clients and not the other way around, but it would seem this is what
is needed in situations such as the IETF meetings and possibly other places.

I guess if enough people agree that this is needed it should simply
become another draft and follow the steps outlined already for
defining a new algorithm number.

/raj